import { useLiveQuery } from "dexie-react-hooks";
import { database, IndexedExpression } from "../model";

export function useExpressionById(id?: number): IndexedExpression | undefined {
  return useLiveQuery(() => {
    if (id === undefined) return undefined;
    return database.expressions.where({ id }).first();
  }, [id]);
}
